clc; close all; clear;

beta = 1;
alpha = -1;
N = 512;
L = 40;
[xsrc,ysrc] = meshgrid((-N/2:N/2-1)*L/N);
[phisrc,rhosrc] = cart2pol(xsrc,ysrc);

Sthy = 1 + alpha*besselj(0,2*beta*rhosrc);
[x1,x2] = ndgrid((-N/2:N/2-1)*L/N); 
Wthy = besselj(0,beta*sqrt((x1-x2).^2)) + alpha*besselj(0,beta*sqrt((x1+x2).^2));

numtrials = 100e3;
v_theta = 2*pi*rand(1,numtrials);
v_mag = ones(1,numtrials);
[vx,vy] = pol2cart(v_theta,v_mag);
SsimG = zeros(N);
WsimG = zeros(N);
for ii = 1:numtrials
    
    disp(ii);
    
    U = 1/sqrt(2)*( sqrt(1+sqrt(1-alpha^2))*exp(1j*beta*(xsrc*vx(ii) + ysrc*vy(ii))) ...
        + alpha/sqrt(1+sqrt(1-alpha^2))*exp(-1j*beta*(xsrc*vx(ii) + ysrc*vy(ii))) );
    
    SsimG = SsimG + abs(U).^2;
    SrmseG(ii) = sqrt(1/N^2*sum(sum((SsimG/ii - Sthy).^2)));
    ScorrG(ii) = corr2(SsimG/ii,Sthy);
    %%%%% W(x1,0;x2,0) %%%%%
    WsimG = WsimG + (U(N/2+1,:).')*conj(U(N/2+1,:));
    %%%%%%%%%%%%%%%%%%%%%%%%
    
end
SsimG = SsimG/numtrials;
WsimG = WsimG/numtrials;

nummodes = 0:50;
for ii = 1:length(nummodes)
    
    disp(ii);
    SsimCM = zeros(N);
    WsimCM = zeros(N);

    for mm = -nummodes(ii):nummodes(ii)
        
        U = sqrt(1 + (-1)^mm*alpha)*besselj(mm,beta*rhosrc).*exp(1j*mm*phisrc);
        
        SsimCM = SsimCM + abs(U).^2;
        %%%%% W(x1,0;x2,0) %%%%%
        WsimCM = WsimCM + (U(N/2+1,:).')*conj(U(N/2+1,:));
        %%%%%%%%%%%%%%%%%%%%%%%%
        
    end
    
    SrmseCM(ii) = sqrt(1/N^2*sum(sum((SsimCM - Sthy).^2)));
    ScorrCM(ii) = corr2(SsimCM,Sthy);
    
end

save('Dark_Antidark_Sim_Data.mat');