clear; clc; close all;

load('HO_Dark_Antidark_Sim_Data.mat');

figure;
set(gcf,'paperpositionmode','auto');
set(gcf,'position',[882 227 384 576]);

subplot(321);
imagesc(xsrc(1,:),ysrc(:,1),Sthy); axis image;
caxis([min(min([Sthy SsimG])) max(max([Sthy SsimG]))]);
xlabel('$x$','interpreter','latex');
ylabel('$y$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.12 0.729 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(a)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(322);
imagesc(xsrc(1,:),ysrc(:,1),SsimG); axis image;
caxis([min(min([Sthy SsimG])) max(max([Sthy SsimG]))]);
xlabel('$x$','interpreter','latex');
ylabel('$y$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.57 0.729 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(b)}$','interpreter','latex','backgroundcolor',[1 1 1]);
h = colorbar('northoutside');
set(h,'ticklabelinterpreter','latex');
set(h,'position',[0.289 0.94 0.448 0.03]);
axis([-1 1 -1 1]*19);

subplot(323);
imagesc(xsrc(1,:),ysrc(:,1),Wthy); axis image;
caxis([min(min([Wthy real(WsimG)])) max(max([Wthy real(WsimG)]))]);
xlabel('$x_2$','interpreter','latex');
ylabel('$x_1$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.12 0.393 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(c)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(324);
imagesc(xsrc(1,:),ysrc(:,1),real(WsimG)); axis image;
caxis([min(min([Wthy real(WsimG)])) max(max([Wthy real(WsimG)]))]);
xlabel('$x_2$','interpreter','latex');
ylabel('$x_1$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.57 0.393 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(d)}$','interpreter','latex','backgroundcolor',[1 1 1]);
h = colorbar('northoutside');
set(h,'ticklabelinterpreter','latex');
set(h,'position',[0.289 0.603 0.448 0.03]);
axis([-1 1 -1 1]*19);

subplot(3,2,[5 6]);
yyaxis left;
loglog(1:numtrials,SrmseG);
axis tight; grid on;
ylabel('$\mbox{RMSE}$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'xtick',[10^0 10^1 10^2 10^3 10^4 10^5],'ytick',[10^(-3) 10^(-2) 10^(-1)]);
text(7278.954,0.091,'$\mbox{(e)}$','interpreter','latex','backgroundcolor',[1 1 1]);
yyaxis right;
semilogx(1:numtrials,ScorrG);
ylabel('$\rho$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
axis tight; grid on;
xlabel('$\mbox{Trials}$','interpreter','latex');
set(gca,'position',[0.135 0.064 0.755 0.248]);
set(gca,'ytick',0.2:0.2:1);
ylim([min(ScorrG) 1.01]);

print(gcf,'Journal Paper 2/HO.eps','-depsc','-painters');

load('Dark_Antidark_Sim_Data.mat');

figure;
set(gcf,'paperpositionmode','auto');
set(gcf,'position',[869 175 576 576]);

subplot(331);
imagesc(xsrc(1,:),ysrc(:,1),Sthy); axis image;
caxis([min(min([Sthy SsimCM SsimG])) max(max([Sthy SsimCM SsimG]))]);
xlabel('$x$','interpreter','latex');
ylabel('$y$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.032 0.729 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(a)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(332);
imagesc(xsrc(1,:),ysrc(:,1),SsimCM); axis image;
caxis([min(min([Sthy SsimCM SsimG])) max(max([Sthy SsimCM SsimG]))]);
xlabel('$x$','interpreter','latex');
ylabel('$y$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.326+0.009 0.729 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(b)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(333);
imagesc(xsrc(1,:),ysrc(:,1),SsimG); axis image;
caxis([min(min([Sthy SsimCM SsimG])) max(max([Sthy SsimCM SsimG]))]);
xlabel('$x$','interpreter','latex');
ylabel('$y$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.629+0.009 0.729 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(c)}$','interpreter','latex','backgroundcolor',[1 1 1]);
h = colorbar('northoutside');
set(h,'ticklabelinterpreter','latex');
set(h,'position',[0.198 0.94 0.608 0.03]);
axis([-1 1 -1 1]*19);

subplot(334);
imagesc(xsrc(1,:),ysrc(:,1),Wthy); axis image;
caxis([min(min([Wthy real(WsimCM) real(WsimG)])) max(max([Wthy real(WsimCM) real(WsimG)]))]);
xlabel('$x_2$','interpreter','latex');
ylabel('$x_1$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.023+0.009 0.382 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(d)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(335);
imagesc(xsrc(1,:),ysrc(:,1),real(WsimCM)); axis image;
caxis([min(min([Wthy real(WsimCM) real(WsimG)])) max(max([Wthy real(WsimCM) real(WsimG)]))]);
xlabel('$x_2$','interpreter','latex');
ylabel('$x_1$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.326+0.009 0.382 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(e)}$','interpreter','latex','backgroundcolor',[1 1 1]);
axis([-1 1 -1 1]*19);

subplot(336);
imagesc(xsrc(1,:),ysrc(:,1),real(WsimG)); axis image;
caxis([min(min([Wthy real(WsimCM) real(WsimG)])) max(max([Wthy real(WsimCM) real(WsimG)]))]);
xlabel('$x_2$','interpreter','latex');
ylabel('$x_1$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'position',[0.629+0.009 0.382 0.335 0.2]);
text(-17.309,-14.463,'$\mbox{(f)}$','interpreter','latex','backgroundcolor',[1 1 1]);
h = colorbar('northoutside');
set(h,'ticklabelinterpreter','latex');
set(h,'position',[0.189+0.009 0.592 0.608 0.03]);
axis([-1 1 -1 1]*19);

subplot(337);
yyaxis left
semilogy(nummodes,SrmseCM);
axis tight; grid on;
ylabel('$\mbox{RMSE}$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'ytick',[10^(-12) 10^(-8) 10^(-4) 10^(0)]);
ylim([eps 1]);
yyaxis right;
ScorrCM(isnan(ScorrCM)) = 0;
plot(nummodes,ScorrCM);
ylabel('$\rho$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
axis tight; grid on;
set(gca,'ytick',[0.2 0.4 0.6 0.8 1]);
ylim([0.3 1.01]);
xlabel('$\mbox{Modes}$','interpreter','latex');
set(gca,'position',[0.090+0.009 0.065 0.305 0.216]);
text(27.329,0.518,'$\mbox{(g)}$','interpreter','latex','backgroundcolor',[1 1 1]);

subplot(338);
yyaxis left;
loglog(1:numtrials,SrmseG,'b');
axis tight; grid on;
ylabel('$\mbox{RMSE}$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
set(gca,'ytick',[10^(-2) 10^(-1) 10^(0)],'xtick',[10^0 10^1 10^2 10^3 10^4 10^5]);
yyaxis right;
semilogx(1:numtrials,ScorrG);
ylabel('$\rho$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');
axis tight; grid on;
xlabel('$\mbox{Trials}$','interpreter','latex');
set(gca,'position',[0.594+0.009 0.065 0.305 0.216]);
text(5064.828,0.71,'$\mbox{(h)}$','interpreter','latex','backgroundcolor',[1 1 1]);
set(gca,'ytick',[0.2 0.4 0.6 0.8 1]);
ylim([0.2 1.01]);

print(gcf,'Journal Paper 2/DA.eps','-depsc','-painters');
